Bug 79955 - fc-query / fc-scan do NOT observe blanks
Summary: fc-query / fc-scan do NOT observe blanks
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: fc-query (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-12 21:38 UTC by Behdad Esfahbod
Modified: 2015-05-11 02:04 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Behdad Esfahbod 2014-06-12 21:38:08 UTC
Both tools use NULL for blanks right now.  They should use the blanks from the default config I suppose.

I think originally I liked the idea of the tools being config-independent.  But that is broken because the computed languages are incorrect this way.
Comment 1 Akira TAGOH 2014-09-25 08:13:30 UTC
should we add the kind of --ignore-blanks for the backward compatibility? I don't know how many people depends on it though.
Comment 2 Behdad Esfahbod 2014-10-06 02:04:45 UTC
--ignore-blanks might be a good idea.  Though, perhaps wait on this, we might want to hardcode blanks and remove them from config completely.
Comment 3 Akira TAGOH 2015-02-27 10:45:31 UTC
Going back here. the targeted API is something in fcfreetype.c though, those doesn't get involved with FcConfig which has the hardcode blanks. so it's not possible to do it inside APIs.

I still think adding an option to get back the behavior might be a good idea for this.
Comment 4 Akira TAGOH 2015-04-22 10:40:00 UTC
Added --ignore-blanks option to fc-query and fc-scan. observing blanks by default after this change:
  http://cgit.freedesktop.org/~tagoh/fontconfig/commit/?h=bz79955
Comment 5 Behdad Esfahbod 2015-05-08 00:08:39 UTC
Shall we close then?
Comment 6 Akira TAGOH 2015-05-11 02:04:19 UTC
merged.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.